/***************************************************************************
 *
 $ pdus
 *
 ***************************************************************************/

#define Ccp_Alert		0
#define Ccp_Call_Cnf		1
#define Ccp_Call_Proc		2
#define Ccp_Connect		3
#define Ccp_Connect_Ack		4
#define Ccp_Disconnect		5
#define Ccp_Release		6
#define Ccp_Rel_Comp		7
#define Ccp_Setup		8
#define Ccp_PDU_NOK		9


/***************************************************************************
 *
 $ states
 *
 ***************************************************************************/

#define idle		0
#define mm_conn_pending	1
#define call_init	2
#define mo_call_proc	3
#define call_delivered	4
#define active		5
#define call_present	6
#define mt_call_cnf	7
#define call_received	8
#define connect_req	9
#define disconn_req	10
#define disconn_ind	11
#define release_req	12
#define wait_ass	13


/***************************************************************************
 *
 $ variable structure
 *
 ***************************************************************************
 */

typedef struct {
        sint32	   some_variable;
        FRAME_PTR  rec_frame,
                   snd_frame;
        VTASK      *self;
/*	char 	   isdn_number[MS_NUMBERLEN];*/
} VARIABLE_STR;
 


/*
$ end
*/

/*
$ asn
*/

#define asn_ccs_Alert_Ind_prim 0
#define asn_ccs_Alert_Req_prim 1
#define asn_ccs_Call_Conf_Req_prim 2
#define asn_ccs_Call_Proc_Ind_prim 3
#define asn_ccs_Disconnect_Req_prim 4
#define asn_ccs_Disconnect_Ind_prim 5
#define asn_ccs_Release_Req_prim 6
#define asn_ccs_Release_Cnf_prim 7
#define asn_calling_number 8
#define asn_called_number 9
#define asn_ccs_Setup_Cnf_prim 10
#define asn_ccs_Setup_Comp_Ind_prim 11
#define asn_ccs_Rej_Ind_prim 12
#define asn_ccs_Setup_Res_prim 13
#define asn_ccs_Ass_Ind_prim 14
#define asn_ccp_Alert_pdu 15
#define asn_cc_cause 16
#define asn_ccp_Call_Proceeding_pdu 17
#define asn_ccp_Connect_pdu 18
#define asn_ccp_Connect_Ack_pdu 19
#define asn_cm_service_type 20
#define asn_mobile_identity 21
#define asn_mMs_Est_Cnf_prim 22
#define asn_protocol_discriminator 23
#define asn_transaction_identifier 24
#define asn_userData 25
#define asn_mMs_Rel_Req_prim 26
#define asn_mMs_Rel_Ind_prim 27
#define asn_mMs_Ass_Ind_prim 28
#define ASN_VAR_COUNT 29

/*
$ end asn
*/

